function log(data){
	console.log(data);
}

function repositionWindow(elementName){
	var thisWindow = $("#" + elementName).closest('.k-window'),
    winOffset = thisWindow.offset(),
    thisWindowWidth = thisWindow.width()
    thisWindowHeight = thisWindow.height()
    bottomEdge = winOffset.top + thisWindowHeight
    rightEdge = winOffset.left + thisWindowWidth
    deskTopOffset = $('#deskTop').offset()
    deskTopHeight = $('#deskTop').height();
    deskTopBottom = deskTopOffset.top + deskTopHeight - 25
    deskTopWidth = deskTopOffset.left + $('#deskTop').width() - 2;
    if(thisWindowWidth>$('#deskTop').width()){thisWindow.width($('#deskTop').width());}
    if(bottomEdge>deskTopBottom){thisWindow.css('top',winOffset.top - (bottomEdge - deskTopBottom)+'px');}
    if(rightEdge>deskTopWidth){thisWindow.css('left',winOffset.left - (rightEdge - deskTopWidth)+'px');}
    if(winOffset.top < deskTopOffset.top){ thisWindow.css('top',(deskTopOffset.top+2)+'px');}
    if(winOffset.left < deskTopOffset.left){thisWindow.css('left',deskTopOffset.left + 'px');}
    if(thisWindow.offset().top<deskTopOffset.top){thisWindow.css('top',deskTopOffset.top+'px');thisWindow.height(deskTopHeight-25);}
}


function createWindow(elementName,Icon,WindowTitle,Width,Height){
	$('body').append('<div id="'+elementName+'"></div>');
	var window = $("#" + elementName);
	if (!window.data("kendoWindow")) {
		$('#statusBarBtns').append('<li id="statbar_'+elementName+'"><a class="statBarBtn" href="#WIN-'+elementName+'">'+WindowTitle+'</a></li>');
    	window.kendoWindow({
        	width: Width+"px",
        	height: Height+"px",
            title: WindowTitle,
            actions: ["Custom","Maximize", "Close"],
            close: function(){
            	$('#statbar_'+elementName).remove();
            	$("#"+elementName).data("kendoWindow").destroy();
            	if(elementName == 'myWindow'){
    				$('#openWin1').show();        		
            	}
            	if(elementName == 'myWindow2'){
    				$('#openWin2').show();        		
            	}
            },
    		activate: function(e){
    			repositionWindow(elementName);
    		},
    		dragend: function(e){
    			repositionWindow(elementName);
    		},
    		resize: function(e){
    			repositionWindow(elementName);
    		}
        });
        $("#" + elementName +'_wnd_title').parent().prepend('<img class="windowLeftIcon" src="icons/'+Icon+'.png"/>'); 
        window = $("#" + elementName).data("kendoWindow");
        var vv = window.wrapper.find(".k-i-custom");
		vv.removeClass('k-i-custom').addClass('k-i-minimize2');
        vv.click(function (e) {
    		$("#" + elementName).closest('.k-window').hide();
		})
    }	
}

$('.statBarBtn').live('click',function(e){
	e.preventDefault();
	var elementName = $(this).attr('href').replace("#WIN-","");
	var wnd = $("#"+elementName).data("kendoWindow");
	if(wnd.element.is(":hidden")){
		$("#" + elementName).closest('.k-window').show();
		wnd.toFront();
	} else {
		$("#" + elementName).closest('.k-window').hide();
	}
});

$(document).ready(function() {
	$('#openWin1').click(function(){
		createWindow('myWindow','server','Test Window',500,300);
		$(this).hide();
	});

	$('#openWin2').click(function(){
		createWindow('myWindow2','server','Test Window 2',400,200);
		$(this).hide();
	});
	
	$('#hideAll').click(function(){
		$(".k-window-content").each(function(){
  			$(this).closest('.k-window').hide();
		});
	});
});